// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2018 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
namespace Hiperscan.Extensions.ApoIdent.Widgets
{
    public static class WindowSize 
    {
        public const int MIN_RESOLUTION_HEIGHT  = 768;
        public const int MIN_RESOLUTION_WIDTH   = 1024;

        public static int RESOLUTION_HEIGHT = WindowSize.GetResolutionHeight(); 
        public static readonly int RESOLUTION_WIDTH = WindowSize.GetResolutionWidth();

        private static int GetResolutionWidth()
        {
            try
            {
                return Gdk.Display.Default.DefaultScreen.Width /
                               Gdk.Display.Default.DefaultScreen.NMonitors;

            }
            catch (Exception ex)
            {
                Console.WriteLine("Cannot read screen width: {0}", ex);
                System.Threading.Thread.Sleep(20);
            }

            return -1;
        }

        private static int GetResolutionHeight()
        {
            try
            {
                return Gdk.Display.Default.DefaultScreen.Height;
            }
            catch (Exception ex)
            {
                Console.WriteLine("Cannot read screen height: {0}", ex);
                System.Threading.Thread.Sleep(20);
            }
            return -1;
        }
    }
}
